package com.gic.haoban.manage.service.service.out.impl.chat;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.gic.api.base.commons.BasePageInfo;
import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.util.EntityUtil;
import com.gic.commons.util.PageHelperUtils;
import com.gic.haoban.manage.api.dto.chat.GroupChatPlanDTO;
import com.gic.haoban.manage.api.dto.qdto.chat.GroupChatPlanSearchQDTO;
import com.gic.haoban.manage.api.service.chat.GroupChatPlanApiService;
import com.gic.haoban.manage.service.pojo.bo.chat.GroupChatPlanBO;
import com.gic.haoban.manage.service.service.chat.GroupChatPlanService;

@Service("groupChatPlanApiService")
public class GroupChatPlanApiServiceImpl implements GroupChatPlanApiService {

    @Autowired
    private GroupChatPlanService groupChatPlanService;

    @Override
    public ServiceResponse<Page<GroupChatPlanDTO>> listPage(GroupChatPlanSearchQDTO qdto, BasePageInfo basePageInfo) {
        Page<GroupChatPlanBO> page = this.groupChatPlanService.listPage(qdto, basePageInfo);
        Page<GroupChatPlanDTO> resultPage = PageHelperUtils.changePageToCurrentPage(page, GroupChatPlanDTO.class);
        return ServiceResponse.success(resultPage);
    }

    @Override
    public ServiceResponse<GroupChatPlanDTO> detail(Long chatPlanId) {
        GroupChatPlanBO bo = this.groupChatPlanService.getById(chatPlanId);
        GroupChatPlanDTO dto = EntityUtil.changeEntityByJSON(GroupChatPlanDTO.class, bo);
        return ServiceResponse.success(dto);
    }

    @Override
    public ServiceResponse<GroupChatPlanDTO> save(GroupChatPlanDTO dto) {
        this.groupChatPlanService.save(dto);
        return ServiceResponse.success(dto);
    }

}
